schema: 1

bugzilla:
  product: Core
  component: "Security: PSM"

origin:
  name: NSS
  description: nss
  url: https://hg-edge.mozilla.org/projects/nss

  release: 508c4bd0656cb5dc446c2b1102737c0cee078cec (2025-06-19T13:14:58Z).
  revision: 508c4bd0656cb5dc446c2b1102737c0cee078cec

  license: MPL-2.0
  license-file: COPYING

vendoring:
  url: https://github.com/nss-dev/nss
  source-hosting: github
  vendor-directory: security/nss/
  skip-vendoring-steps:
    - update-moz-build
  exclude:
    - .hgignore
    - .hgtags
  keep:
    - TAG-INFO
  update-actions:
    - action: run-script
      cwd: '{yaml_dir}/../../'
      script: '{cwd}/security/manager/tools/regen_root_ca_metadata.py'

updatebot:
  maintainer-phab: "#nss-reviewers"
  maintainer-bz: jschanck@mozilla.com
  tasks:
    - type: vendoring
      enabled: true
      frequency: 1 week
